[110.00, 116.54, 123.47, 130.81, 138.59, 146.83, 155.56, 164.81, 174.61, 185.00, 196.00, 207.65] @=> float bass[];
[220.00, 233.08, 246.94, 261.63, 277.18, 293.66, 311.13, 329.63, 349.23, 369.99, 392.00, 415.30] @=> float mid[]; 
[440.00, 466.16, 493.88, 523.25, 554.37, 587.33, 622.25, 659.25, 698.46, 739.99, 783.99, 830.61, 880.00] @=> float top[];
//A(0)    A#(1)   B(2)     C(3)   C#(4)    D(5)   D#(6)    E(7)   F(8)    F#(9)   G(10)  G#(11)   A(12)

SinOsc bassy => dac;
SinOsc low => dac;
SinOsc high => dac;
SinOsc toppy => dac;


0 => bassy.gain;
0 => low.gain;
0 => high.gain;
0 => toppy.gain;
for (1 => int i; i<24; i++) {
    spork ~playChord(i);
    1::second => now;
}


fun void playChord(int num) {
    
    if (num == 1) {     //I
        bass[0] => bassy.freq;
        mid[4] => low.freq;
        mid[7] => high.freq;
        top[0] => toppy.freq;
    } else if (num == 2) {     //ii
        bass[2] => bassy.freq;
        mid[5] => low.freq;
        mid[9] => high.freq;
        top[2] => toppy.freq;
    } else if (num == 3) {     //iii
        bass[4] => bassy.freq;
        mid[7] => low.freq;
        mid[11] => high.freq;
        top[4] => toppy.freq;
    } else if (num == 4) {     //IV
        bass[5] => bassy.freq;
        mid[0] => low.freq;
        mid[9] => high.freq;
        top[5] => toppy.freq;
    } else if (num == 5) {     //V
        bass[7] => bassy.freq;
        mid[2] => low.freq;
        mid[11] => high.freq;
        top[7] => toppy.freq;
    } else if (num == 6) {     //vi
        bass[9] => bassy.freq;
        mid[0] => low.freq;
        mid[4] => high.freq;
        top[9] => toppy.freq;
    } else if (num == 7) {     //vii•
        bass[11] => bassy.freq;
        mid[2] => low.freq;
        mid[5] => high.freq;
        top[11] => toppy.freq;
    } else if (num == 8) {     //V/V
        bass[2] => bassy.freq;
        mid[6] => low.freq;
        mid[9] => high.freq;
        top[2] => toppy.freq;
    } else if (num == 9) {     //V7/V
        bass[2] => bassy.freq;
        mid[6] => low.freq;
        mid[9] => high.freq;
        top[0] => toppy.freq;
    } else if (num == 10) {     //Isus4
        bass[0] => bassy.freq;
        mid[5] => low.freq;
        mid[7] => high.freq;
        top[0] => toppy.freq;
    } else if (num == 11) {     //i
        bass[0] => bassy.freq;
        mid[3] => low.freq;
        mid[7] => high.freq;
        top[0] => toppy.freq;
    } else if (num == 12) {     //ii•
        bass[2] => bassy.freq;
        mid[5] => low.freq;
        mid[8] => high.freq;
        top[2] => toppy.freq;
    } else if (num == 13) {     //III
        bass[3] => bassy.freq;
        mid[7] => low.freq;
        mid[10] => high.freq;
        top[3] => toppy.freq;
    } else if (num == 14) {     //iv
        bass[5] => bassy.freq;
        mid[0] => low.freq;
        mid[8] => high.freq;
        top[5] => toppy.freq;
    } else if (num == 15) {     //v
        bass[7] => bassy.freq;
        mid[2] => low.freq;
        mid[10] => high.freq;
        top[7] => toppy.freq;
    } else if (num == 16) {     //vi
        bass[8] => bassy.freq;
        mid[0] => low.freq;
        mid[3] => high.freq;
        top[8] => toppy.freq;
    } else if (num == 17) {     //VII
        bass[10] => bassy.freq;
        mid[2] => low.freq;
        mid[5] => high.freq;
        top[10] => toppy.freq;
    } else if (num == 18) {     //vii(•/2)7
        bass[11] => bassy.freq;
        mid[2] => low.freq;
        mid[5] => high.freq;
        top[9] => toppy.freq;
    } else if (num == 19) {     //vii•7
        bass[11] => bassy.freq;
        mid[2] => low.freq;
        mid[5] => high.freq;
        top[8] => toppy.freq;
    } else if (num == 20) {     //ii(*/2)7
        bass[2] => bassy.freq;
        mid[5] => low.freq;
        mid[8] => high.freq;
        top[0] => toppy.freq;
    } else if (num == 21) {     //ii*7
        bass[2] => bassy.freq;
        mid[5] => low.freq;
        mid[8] => high.freq;
        top[11] => toppy.freq;
    } else if (num == 22) {     //I6
        bass[4] => bassy.freq;
        mid[0] => low.freq;
        mid[7] => high.freq;
        top[0] => toppy.freq;
    } else if (num == 23) {     //K(6/4)
        bass[7] => bassy.freq;
        mid[0] => low.freq;
        mid[4] => high.freq;
        top[0] => toppy.freq;
    }
    
    1 => bassy.gain;
    1 => low.gain;
    1 => high.gain;
    1 => toppy.gain;
    1::second => now;
}